Bug 1894682 (CVE-2020-27763) - CVE-2020-27763 ImageMagick: division by zero at MagickCore/resize.c
Summary: CVE-2020-27763 ImageMagick: division by zero at MagickCore/resize.c
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2020-27763
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1901271 1901272 1910542
Blocks: 1891602
TreeView+ depends on / blocked
 
Reported: 2020-11-04 19:00 UTC by Guilherme de Almeida Suckevicz
Modified: 2021-02-15 20:48 UTC (History)
7 users (show)

Fixed In Version: ImageMagick 7.0.8-68
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in ImageMagick in MagickCore/resize.c. An attacker who submits a crafted file that is processed by ImageMagick could trigger undefined behavior in the form of math division by zero. This would most likely lead to an impact to application availability, but could potentially cause other problems related to undefined behavior.
Clone Of:
Environment:
Last Closed: 2020-11-24 23:34:56 UTC


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2020-11-04 19:00:40 UTC
In ImageMagick, there is a Division by Zero at MagickCore/resize.c.

Reference:
https://github.com/ImageMagick/ImageMagick/issues/1718

Upstream patch:
https://github.com/ImageMagick/ImageMagick/commit/43539e67a47d2f8de832d33a5b26dc2a7a12294f

Comment 1 Guilherme de Almeida Suckevicz 2020-11-04 19:00:43 UTC
Acknowledgments:

Name: Suhwan Song (Seoul National University)

Comment 2 Todd Cullum 2020-11-04 22:12:06 UTC
Statement:

This flaw is out of support scope for Red Hat Enterprise Linux 5, 6, and 7. Inkscape is not affected because it no longer uses a bundled ImageMagick in Red Hat Enterprise Linux 8. For more information regarding support scopes, please see https://access.redhat.com/support/policy/updates/errata .

Comment 3 Guilherme de Almeida Suckevicz 2020-11-24 19:24:32 UTC
Created ImageMagick tracking bugs for this issue:

Affects: epel-8 [bug 1901271]
Affects: fedora-all [bug 1901272]

Comment 4 Product Security DevOps Team 2020-11-24 23:34:56 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-27763


Note You need to log in before you can comment on or make changes to this bug.